{% load static %}

<div class="field{% if cls %} {{cls}}{% endif %}{% if field.errors %} errors{% endif %}">
    {{ field.label_tag }}
    <div class="input-container">
      {{ field }}
      <img class="htmx-indicator" alt="saving..." src="{% static "volunteers/autosave-spinner.svg" %}">
      {% if autosave_success %}
        <img class="autosave-indicator autosave-indicator-saved" style="opacity: 1;" alt="saved" src="{% static "vendor/material-icons/check.svg" %}">
        <script>
          (() => {
            const indicator = document.currentScript.parentElement.querySelector('.autosave-indicator-saved');
            setTimeout(() => indicator.style.opacity = 0, 3000)
          })();
        </script>
      {% endif %}
      <img class="autosave-indicator autosave-indicator-error" alt="not saved because an error occured" src="{% static "vendor/material-icons/sync_problem_black_24dp.svg" %}">
    </div>
    {{ field.errors }}
</div>
